Jump to content
Announcing Achievements! ×

Community

Correct Application, Plugin and Theme versions


Daniel F
 Share

Recommended Posts

Folks, please try to pay more attention to the version numbers you're using for your customisations!

There's just another upset client who can't upgrade his file via the ACP - Marketplace because the system doesn't recognise the new upgrade release as "upgrade" because the recent version has long version 2800 while the old long version is 24344. I hope everybody here sees the issue?! The newer version is lower than the last version.

Another common concern confusing clients and our backend is that some developers started going back with version numbers for their 4.5 releases. So from 1.4.2 ( 104020 ) they went back to 1.0.0 ( 100000 )

Personally, I would suggest to try to use a proper semantic versioning system

 

Last but not least, while it's mentioned in the MP guidelines, here's a slightly reminder: Please also increase the versions for EACH release, even if you changed only a minor typo because clients will freak out because the MP shows it as upgraded, but their installation not..

Link to comment
Share on other sites

Guest
This topic is now closed to further replies.
 Share

  • Recently Browsing   0 members

    No registered users viewing this page.

×
×
  • Create New...

Important Information

We use technologies, such as cookies, to customise content and advertising, to provide social media features and to analyse traffic to the site. We also share information about your use of our site with our trusted social media, advertising and analytics partners. See more about cookies and our Privacy Policy